Download it now!
Bug 32175 - Gentium missing in exported PDF document
Summary: Gentium missing in exported PDF document
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
3.3.0 RC1
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-07 03:42 UTC by Wyatt Berka
Modified: 2011-12-22 05:53 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example of the issue as requested. (40.61 KB, image/png)
2010-12-10 07:43 UTC, Wyatt Berka
Details
.odt source (8.95 KB, application/vnd.oasis.opendocument.text)
2011-08-23 06:23 UTC, Caolán McNamara
Details
pdf output (42.07 KB, application/pdf)
2011-08-23 06:23 UTC, Caolán McNamara
Details
screenshot in a pile of pdf renderers (150.52 KB, image/png)
2011-08-23 06:24 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Wyatt Berka 2010-12-07 03:42:37 UTC
Since LibO 3.3 RC1, when I export a document using the Gentium font to a PDF, text in the Gentium font is simply missing when viewed in my PDF viewer. When I replaced Gentium with some random font, the text was visible. I reinstalled LibO 3.3 Beta3, and the text in the Gentium font is again visible in my PDF viewer. The PDF viewer I use is SumatraPDF. A friend viewed the same PDF in Adobe Reader, and experienced no issues. I later verified this in Adobe Reader.
Comment 1 Thorsten Behrens (CIB) 2010-12-10 03:05:51 UTC
Hm, there were a few fixes around pdf export between beta3 and RC1, most notably commits 1524ed903c0a8aa3ab57c7c20d53ad5654258850 and cc6ad25bf82098db768fdbddaa90422039045745

Wyatt, could you maybe attach a simple document that exhibits this behaviour for you?
Comment 2 Wyatt Berka 2010-12-10 07:43:25 UTC
Created attachment 40988 [details]
Example of the issue as requested.

Here's an example of the missing Gentium font (outlined in red) when viewed in my PDF viewer. I also noticed that this happens even when the font is not installed.
Comment 3 Frédéric Buclin 2010-12-12 17:36:59 UTC
Same issue as http://www.openoffice.org/issues/show_bug.cgi?id=114901 ?
Comment 4 Caolán McNamara 2011-08-23 06:13:41 UTC
it would have been great if you had attached a sample .odt and a sample .pdf, not a screenshot
Comment 5 Caolán McNamara 2011-08-23 06:23:20 UTC
Created attachment 50488 [details]
.odt source
Comment 6 Caolán McNamara 2011-08-23 06:23:37 UTC
Created attachment 50489 [details]
pdf output
Comment 7 Caolán McNamara 2011-08-23 06:24:17 UTC
Created attachment 50490 [details]
screenshot in a pile of pdf renderers
Comment 8 Caolán McNamara 2011-08-23 06:26:24 UTC
As far as I can see this appears to be fixed in approx 3.4.3

*possibly* fixed by http://cgit.freedesktop.org/libreoffice/libs-gui/commit/?id=ba678b7d44fbde9e9ac1f0e01b49dc0b211530c0 which is the fix for http://www.openoffice.org/issues/show_bug.cgi?id=114901
Comment 9 Björn Michaelsen 2011-12-22 05:37:14 UTC
Remove infoprovider from closed and resolved bugs.
Comment 10 Björn Michaelsen 2011-12-22 05:53:50 UTC
RESOLVED, FIXED or CLOSED bugs cant be KEYWORD NEEDINFO.